CatalogChannels
Set listing requirements
Saves requirements for many listings and, with republish, queues their republication.
Path Parameters
channelId*string
Identifier of the sales channel.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://api.ecomiq.pe/api/v1/channels/7204558912004329619/listings/requirements" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "rows": [ { "listingId": "7204558912004321492", "values": { "key": { "value": "Mi tienda", "valueId": "7204558912004324721" } }, "variantId": "7204558912004323197", "brand": "Andina", "category": "Polos", "productId": "7204558912004322039" } ], "republish": true }'{ "updated": 1, "queued": 1, "created": 1}